Mercurial > hg > cc > cirrus_home
comparison bin/doPlinks.sh @ 8:3b56c2c9d0ee
longer run, terser logging
author | Henry S. Thompson <ht@inf.ed.ac.uk> |
---|---|
date | Mon, 24 Feb 2020 12:16:10 +0000 |
parents | 25ca3505b4d7 |
children | 7a93e190c74d |
comparison
equal
deleted
inserted
replaced
7:25ca3505b4d7 | 8:3b56c2c9d0ee |
---|---|
9 echo $(date) $hn $(pwd) untarred ${tfn}.tar for job $jn 1>&2 | 9 echo $(date) $hn $(pwd) untarred ${tfn}.tar for job $jn 1>&2 |
10 ls *.pdf | sort --field-separator=_ -k1,1 -k2n,2 | cat -n |\ | 10 ls *.pdf | sort --field-separator=_ -k1,1 -k2n,2 | cat -n |\ |
11 plinks.py $tfn || { echo $(date) $hn aborted job $jn for $tfn \[remember to clean up\] ; rm -f /dev/shm/stopJob ; exit 1 ; } | 11 plinks.py $tfn || { echo $(date) $hn aborted job $jn for $tfn \[remember to clean up\] ; rm -f /dev/shm/stopJob ; exit 1 ; } |
12 echo $(date) $hn tarring $(ls badpdfs_*|wc -l)/$(ls links_*_*|wc -l) results from job $jn for $tfn in $(pwd) 1>&2 | 12 echo $(date) $hn tarring $(ls badpdfs_*|wc -l)/$(ls links_*_*|wc -l) results from job $jn for $tfn in $(pwd) 1>&2 |
13 tar -cf /beegfs/common_crawl/CC-MAIN-2019-35/pdfs/links/${tfn}.tar badpdfs_${tfn} links_${tfn}_* | 13 tar -cf /beegfs/common_crawl/CC-MAIN-2019-35/pdfs/links/${tfn}.tar badpdfs_${tfn} links_${tfn}_* |
14 echo $(pwd) rm * 1>&2 | 14 echo $(date) $(pwd) rm $(ls -lt badpdfs_*) |
15 echo . . . $(ls -lt links_*_* | tee >(tail -1 1>&2) | head -1) 1>&2 | |
15 rm * | 16 rm * |
16 cd .. | 17 cd .. |
17 echo $(pwd) rmdir ${tfn} 1>&2 | 18 echo $(date) $(pwd) rmdir ${tfn} 1>&2 |
18 rmdir ${tfn} | 19 rmdir ${tfn} |
19 echo $(date) $hn finished job ${jn} for ${tfn} | 20 echo $(date) $hn finished job ${jn} for ${tfn} |